GET
View a sub-user

Authorizations

Authorization
string
header
required

[just text field] Please enter token in following format: Bearer

Path Parameters

userId
string
required

Response

User details

userId
string
required

Unique identifier of the sub-user

Example:

"test124"

username
string
required

Username of the sub-user

Example:

"test124"

password
string
required

Current password of the sub-user

dataLimit
number
required

Total data allocated to the sub-user, in GB

Example:

5

dataUsed
number
required

Amount of data used by the sub-user so far, in GB

Example:

1.2

status
string
required

Current status of the sub-user

Example:

"active"

whitelistedIps
string[]
required

List of IP addresses whitelisted for the sub-user

Example:
dateCreated
string
required

Date and time the sub-user was created

dataRemaining
number
required

Amount of data remaining for the sub-user, in GB (dataLimit minus dataUsed)

Example:

3.8

usage
object[]
required

Daily usage breakdown for the sub-user, covering the period since the user was created